Package org.eclipse.gef.requests

# Class ForwardedRequest

java.lang.Object
org.eclipse.gef.Request
org.eclipse.gef.requests.ForwardedRequest

public class ForwardedRequest extends Request
A Request to be forwarded to another EditPart.

## Constructor Summary

Constructors
Constructor
Description
`ForwardedRequest(Object type)`
Creates a ForwardRequest with the given type.
`ForwardedRequest(Object type, EditPart sender)`
Creates a ForwardRequest with the given type and sets the sender.

## Method Summary

Modifier and Type
Method
Description
`EditPart`
`getSender()`
Returns the EditPart that forwarded this Request.

### Methods inherited from class org.eclipse.gef.Request

`getExtendedData, getType, setExtendedData, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForwardedRequest

public ForwardedRequest(Object type)
Creates a ForwardRequest with the given type.

Parameters:
  `type` - The type of Request

### ForwardedRequest

public ForwardedRequest(Object type, EditPart sender)
Creates a ForwardRequest with the given type and sets the sender.

Parameters:
  `type` - The type of Request
  `sender` - The EditPart that forwarded this Request

## Method Details

### getSender

public EditPart getSender()
Returns the EditPart that forwarded this Request.

Returns:
  The EditPart that forwarded this Request